## artikulate 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(artikulate VERSION ${ARTIKULATE_VERSION})

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMEnableSanitizers)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Sql
    Multimedia
    XmlPatterns
    Qml
    Quick
    Test
)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    Crash
    I18n
    NewStuff
    Kirigami2
)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
)

# subdirectories to build
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(libsound)
add_subdirectory(liblearnerprofile)
add_subdirectory(autotests)

# files to install in the artikulate project root directory
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(PROGRAMS org.kde.artikulate.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.artikulate.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
artikulate (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:42 +0100

artikulate (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update the build dependencies according to the upstream build system:
    - drop unused: libkf5configwidgets-dev, libkf5declarative-dev,
      libkf5widgetsaddons-dev, and libqt5gstreamer-dev (Closes: #983130)
    - drop version for libkf5doctools-dev
  * Add libqt5sql5-sqlite as dependency, as artikulate uses SQLite DBs.
    (Closes: #1010464)

 -- Pino Toscano <pino@debian.org>  Sat, 25 Feb 2023 20:02:59 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kirigami2-dev (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://edu.kde.org/artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         libqt5sql5-sqlite,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 23.08.1

=== debian/changelog ===
artikulate (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:09 +0100

artikulate (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:54 +0100

artikulate (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:05 +0100

artikulate (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:05 +0100

artikulate (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:55 +0100

artikulate (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:11 +0000

artikulate (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:08:58 -0600

artikulate (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:26 +0000

artikulate (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 15:26:21 +0000

artikulate (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:00 +0000

artikulate (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:26 +0000

artikulate (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:47 +0000

artikulate (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:11 +0000

artikulate (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:50 +0100

artikulate (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:16 +0100

artikulate (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:26 +0100

artikulate (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:56 +0100

artikulate (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:41 +0100

artikulate (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:32 +0100

## artikulate 23.08.5

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_install_icons(
  ICONS
    16-apps-artikulate.png
    32-apps-artikulate.png
    48-apps-artikulate.png
    64-apps-artikulate.png
    sc-apps-artikulate.svg

  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

=== autotests/integrationtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ${CMAKE_CURRENT_BINARY_DIR}
)

# copy test data
file(COPY ../testdata/courses/de.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/de/) # copy test files
file(COPY ../testdata/courses/fr.xml DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/courses/fr/) # copy test files
file(COPY ../testdata/contributorrepository/ DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/contributorrepository/) # copy test files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# integration tests for iresource repository interface derived classes
set(TestIResourceRepository_SRCS iresourcerepository_integration/test_iresourcerepository.cpp)
qt5_add_resources(TestIResourceRepository_SRCS ../../data/languages.qrc)
add_executable(test_iresourcerepository_integration ${TestIResourceRepository_SRCS})
target_link_libraries(test_iresourcerepository_integration
    artikulatecore
    Qt::Test
)
add_test(NAME test_iresourcerepository_integration COMMAND test_iresourcerepository_integration)
ecm_mark_as_test(test_iresourcerepository_integration)

=== autotests/resourcetests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

include_directories(
    ../../src/
    ../../
    ../mocks/
    ${CMAKE_CURRENT_BINARY_DIR}
)

# basic tests language resource conformance with XSD
set(TestLanguageFiles_SRCS
    languageresources/testlanguagefiles.cpp
)
qt5_add_resources(TestLanguageFiles_SRCS ../../data/languages.qrc)
add_executable(test_languageresources ${TestLanguageFiles_SRCS} )
target_link_libraries(test_languageresources
    artikulatecore
    Qt::Test
)
add_test(NAME test_languageresources COMMAND test_languageresources)
ecm_mark_as_test(test_languageresources)


# test correctness of XSD files
set(TestXsdSchemes_SRCS
    xsdschemes/testxsdschemes.cpp
)
qt5_add_resources(TestXsdSchemes_SRCS ../../data/languages.qrc)
add_executable(test_xsdschemes ${TestXsdSchemes_SRCS} )
target_link_libraries(test_xsdschemes
    Qt::Test
    Qt::XmlPatterns
    Qt::Core
)
add_test(NAME test_xsdschemes COMMAND test_xsdschemes)
ecm_mark_as_test(test_xsdschemes)

=== libsound/src/qtmultimediabackend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

find_package(Qt5Multimedia REQUIRED)

set(qtmultimediabackend_SRCS
    qtmultimediabackend.cpp
    qtmultimediacapturebackend.cpp
    qtmultimediaoutputbackend.cpp
    ../libsound_debug.cpp
)

add_library(qtmultimediabackend MODULE ${qtmultimediabackend_SRCS})

target_link_libraries(
    qtmultimediabackend
    LINK_PUBLIC
        artikulatesound
        Qt::Multimedia
        KF5::CoreAddons
)

install(TARGETS qtmultimediabackend DESTINATION ${KDE_INSTALL_PLUGINDIR}/artikulate/libsound)

=== debian/changelog ===
artikulate (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:22:33 +1100

artikulate (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:53:14 +0000

artikulate (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:26:29 -0700

artikulate (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:29 +0000

artikulate (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:31 +0000

artikulate (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,43 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                kirigami2-dev (>= 5.90.0~),
                libkf5archive-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
+               libkf5configwidgets-dev (>= 5.64.0~),
                libkf5crash-dev (>= 5.90.0~),
-               libkf5doctools-dev,
+               libkf5declarative-dev (>= 5.64.0~),
+               libkf5doctools-dev (>= 5.64.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.64.0~),
+               libqt5gstreamer-dev (>= 1.2.0),
                libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
                libqt5xmlpatterns5-dev (>= 5.15.2~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 Rules-Requires-Root: no
 
 Package: artikulate
 Architecture: any
 Depends: kio,
          libqt5multimedia5-plugins,
-         libqt5sql5-sqlite,
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-newstuff,

## artikulate 24.08.2

=== debian/changelog ===
artikulate (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Nov 2024 22:41:04 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kirigami2-dev (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://edu.kde.org/artikulate
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
Rules-Requires-Root: no

Package: artikulate
Architecture: any
Depends: kio,
         libqt5multimedia5-plugins,
         libqt5sql5-sqlite,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-newstuff,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 24.12.0

=== debian/changelog ===
artikulate (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 22:27:42 +0100

## artikulate 24.12.1

=== debian/changelog ===
artikulate (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:48:59 +0100

## artikulate 24.12.2

=== debian/changelog ===
artikulate (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:21:11 +0100

## artikulate 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
@@ -30,6 +30,7 @@
 include(ECMEnableSanitizers)
 include(FeatureSummary)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Sql
@@ -48,9 +49,12 @@
     Kirigami2
 )
 
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+     KF 5.101.0
+    )
+
 add_definitions(
     -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
 )
 
 # subdirectories to build

=== debian/changelog ===
artikulate (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 00:49:43 +0000

artikulate (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
@@ -24,8 +25,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
 Rules-Requires-Root: no
 
 Package: artikulate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

## artikulate 25.04.0

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(unittests)
add_subdirectory(integrationtests)
add_subdirectory(resourcetests)

=== debian/changelog ===
artikulate (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Add lintian override for not GUI program without command line
    arguments not shipping manuals.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:40:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: artikulate
 Section: education
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                kirigami2-dev (>= 5.90.0~),
@@ -23,10 +22,10 @@
                qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://edu.kde.org/artikulate
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/artikulate
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
 Rules-Requires-Root: no
 
 Package: artikulate

## artikulate 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 set (ARTIKULATE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== liblearnerprofile/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

set(learnerprofile_LIB_SRCS
    learner.cpp
    learninggoal.cpp
    profilemanager.cpp
    storage.cpp
    models/learninggoalmodel.cpp
    liblearner_debug.cpp
)

add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})
generate_export_header(artikulatelearnerprofile BASE_NAME liblearnerprofile)

target_link_libraries(
    artikulatelearnerprofile
    LINK_PUBLIC
        Qt::Core
        Qt::Gui
        Qt::Sql
        Qt::Widgets
        KF5::ConfigCore
        KF5::I18n
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatelearnerprofile
    PROPERTIES
        VERSION ${GENERIC_LIB_VERSION}
        SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatelearnerprofile
    LIBRARY NAMELINK_SKIP
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== libsound/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

# enable exceptions for this library
kde_enable_exceptions()

set(sound_LIB_SRCS
    capturedevicecontroller.cpp
    outputdevicecontroller.cpp
    capturebackendinterface.cpp
    outputbackendinterface.cpp
    libsound_debug.cpp
    qtmultimediabackend/qtmultimediacapturebackend.cpp
    qtmultimediabackend/qtmultimediaoutputbackend.cpp
)

add_library(artikulatesound SHARED ${sound_LIB_SRCS})
generate_export_header(artikulatesound BASE_NAME libsound)

target_link_libraries(
    artikulatesound
    LINK_PUBLIC
        KF5::CoreAddons
        KF5::I18n
        Qt::Multimedia
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatesound PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatesound
    LIBRARY NAMELINK_SKIP
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
artikulate (4:25.04.3-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 14:28:20 +0000

artikulate (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:31:29 +0000

artikulate (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:46:38 +0000

artikulate (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:19:42 +0000

artikulate (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:21:57 +0000

artikulate (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:49:43 +0000

artikulate (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:53:19 +0000

artikulate (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:44:50 +0000

artikulate (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:41:51 +0000

artikulate (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:43:01 +0000

artikulate (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:14:55 +0000

artikulate (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:53:04 +0000

artikulate (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:06:31 +0000

artikulate (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:42:08 +0000

artikulate (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:09:54 +0000

artikulate (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:55:37 +0000

artikulate (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:51:57 +0000

artikulate (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:32:55 +0000

artikulate (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 17:01:00 +0000

artikulate (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:09:31 +0000

artikulate (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:09:56 +0000

artikulate (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:38:36 +0000

artikulate (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:26:01 +0000

artikulate (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:19:34 +0000

artikulate (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:29:06 +0000

artikulate (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:21:55 +0000

artikulate (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:58:12 +0000

artikulate (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:05:31 +0000

artikulate (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:29:20 +0000

artikulate (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:18:39 +0000

artikulate (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:29:07 +0000

artikulate (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:16:21 +0000

artikulate (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:41:40 +0000

artikulate (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:35:33 +0000

artikulate (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:50:38 +0000

artikulate (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:37 +0000

artikulate (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:12 +0000

artikulate (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:08:45 +0000

artikulate (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 06:19:04 +0000

artikulate (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:48 +0000

artikulate (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:13 +0000

artikulate (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:35 +0000

artikulate (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:48 +0000

artikulate (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:12 +0000

artikulate (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:21 +0000

artikulate (4:20.12.3-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.15.0~),
               kirigami2-dev,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5gstreamer-dev (>= 1.2.0),
               libqt5xmlpatterns5-dev (>= 5.5~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.5~),
               qtdeclarative5-dev (>= 5.5~),
               qtmultimedia5-dev
Standards-Version: 4.1.1
Homepage: https://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/artikulate.git
Vcs-Browser: https://invent.kde.org/neon/kde/artikulate
Maintainer: Neon CI <neon@kde.org>

Package: artikulate
Architecture: any
Depends: kio,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         qml-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 25.08.0

=== debian/changelog ===
artikulate (4:25.08.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 16:47:27 +0000

artikulate (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:50:49 +0000

=== debian/control ===
Source: artikulate
Section: education
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kirigami-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libxml2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: https://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/artikulate.git
Vcs-Browser: https://invent.kde.org/neon/kde/artikulate
Maintainer: Neon CI <neon@kde.org>

Package: artikulate
Architecture: any
Depends: kf6-kio,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtqml-models,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

## artikulate 25.08.1

=== debian/changelog ===
artikulate (4:25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:15:24 +0000

artikulate (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:16:32 +0000

## artikulate 25.08.1+p24.04+vstable+git20250909.1321

=== debian/changelog ===
artikulate (4:25.08.1+p24.04+vstable+git20250909.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:21:21 +0000

## artikulate 25.08.1+p24.04+vstable+git20251001.0450

=== debian/changelog ===
artikulate (4:25.08.1+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:22 +0000
